<?
/*----------------------------- start title -----------------------------------

ADC2000+ v3.0.3 - banner exchange software
Copyright (C) 1998-2010  T&D Systems, Inc.
http://www.td-systems.com/

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

* Redirect module
* ---------------------------------------------

* Created for MySQL server
* Database: adc2000
* ---------------------------------------------

* include files:
* adc2000.inc      - include file with global variables and functions
* adc2000h.inc     - HTML header file (Copyright information)
* db-interface.inc - DB Layout
*
------------------------------- end title -----------------------------------*/
include("adc2000.inc");
Header("Cache-Control: no-cache, must-revalidate");
if (!$debug_flag) {
  $timer = new c_Timer; 
  $timer->start(); 
}

//  .plan
//  1.         
//  2.     impression  
//  3.     ,    
//  4.  URL          URL

if (!$t_uid||!$b_uid||!$t_url) exit();

$siteowner_uid = $t_uid;
$bannerowner_uid = $b_uid;
$url = $t_url;

if (!$debug_flag) {
  echo "Debug info : siteowner_uid = $siteowner_uid<br>";
  echo "Debug info : bannerowner_uid = $bannerowner_uid<br>";
  echo "Debug info : url = $url<br>";
}

// Connect to database
$connect = mysql_connect($db_host, $db_user, $db_passwd) or die("Unadle to connect to SQL server");
mysql_select_db($db_name, $connect) or die("Unable to select adc2000 DataBase");

if (!$siteowner_uid && !$bannerowner_uid) {
  if ($url != "") {
    // ----| go to owner's site
    mysql_close($connect);
    if (!$debug_flag) {
      echo "Debug info : go to BN's site<br>";
      $timer->stop();
      echo "<b>Total time: ".$timer->elapsed()."</b><br>";
    }
    else Header("Location: $url");
  }
  else {
    $result = mysql_query("select extitle from server_set") or die('Can not select from Server settings table');
    list($extitle) = mysql_fetch_row($result);
    include("adc2000h.inc");
    ?>                                                                                                                                                                                                                                    
    <html>
   
    <head>
    <title>ADC2000+ : No cookies</title>
    </head>
   
    <body>
    <font face="Verdana,Arial,Helvetica"><div align="center"><center>
   
    <table border="0" cellPadding="0" cellSpacing="1" style="BORDER-BOTTOM: rgb(0,0,0) 2px solid; BORDER-LEFT: rgb(0,0,0) 2px solid; BORDER-RIGHT: rgb(0,0,0) 2px solid; BORDER-TOP: rgb(0,0,0) 2px solid" width="470">
    <TBODY>
      <tr>
        <td align="center"><img src="images/adc2000.gif" width="468" height="60"></td>
      </tr>
      <tr>
        <td align="center" width="100%" background="images/back.gif"><font color="#ffffff" size="5"><b>NO COOKIES</b></font></td>
      </tr>
      <tr>
        <td width="100%"><div align="center"><center><table border="0" cellPadding="0" cellSpacing="0" width="450">
        <TBODY>
          <tr>
            <td width="450"><font size="2">You clicked on a <?echo $extitle;?> banner, but there was
            an error processing your request: <ul>
              <li>There may be an error in the <?echo $extitle;?> HTML code on the page that got you
                here. </li>
              <li>If your browser does not support cookies, or it does but you do not accept them. </li>
              <li>There may have been a network error somewhere between you and us. </font></li>
            </ul>
            </td>
          </tr>
        </TBODY>
        </table>
        </center></div></td>
      </tr>
      <tr>
        <td align="center" width="100%"></font><font color="#c0c0c0" face="Arial" size="0"><b>Copyright
        (C)&nbsp; tRXX Programming Group. 1999 All Rights Reserved.</b></font><font
        face="Verdana,Arial,Helvetica"></td>
      </tr>
    </TBODY>
    </table>
    </center></div></font>
    </body>
    </html>
    <?
    if (!$debug_flag) {
      $timer->stop();
    }
    mysql_free_result($result);
    mysql_close($connect);
    exit();
  }
}

// Add information to total_stats
$result = mysql_query("select t_clicks,td_clicks,td_impress,tc_day from total_stats") or die('Can not select from TOTAL_STATS table');
list($t_clicks,$tday_clicks,$td_impress,$tcur_day) = mysql_fetch_row($result);
$c_day = date("j");
if ($c_day != $tcur_day) {
  if (!$debug_flag) echo "Debug info : place :  total_stats impressions<br>";
  $tday_clicks = 1;
  $td_impress  = 0;
}
else {
  $tday_clicks = $tday_clicks + 1;
}
$t_clicks = $t_clicks + 1;


$res_lock = mysql_query("select lock_flag from server_set") or die('Can not select from Server Settings table');
list($lock_flg) = mysql_fetch_row($res_lock);
if ($lock_flg) { mysql_query("LOCK TABLES total_stats WRITE,credits WRITE,
                              credit_stats WRITE,d_stats WRITE,h_stats WRITE") or die('Can not LOCK table'); }
mysql_free_result($res_lock);


mysql_query("update total_stats set t_clicks=$t_clicks,td_clicks=$tday_clicks,td_impress=$td_impress,tc_day=$c_day") or die('Can not update Total Stats table');

//  Check user :   
$result = mysql_query("select active_flag,click,impression from user,credits where user.user_id=$bannerowner_uid and credits.user_id=$bannerowner_uid") or die('Can not select from Credits table');
list($ac_flag,$cred_click,$cred_impression) = mysql_fetch_row($result);
if (!$debug_flag) {
  echo "Debug info : place :  <br>";
  echo "Debug info : ac_flag = $ac_flag<br>";
  echo "Debug info : cred_click = $cred_click<br>";
  echo "Debug info : cred_impression = $cred_impression<br>";
}
if ($ac_flag != 0) {
  if ($cred_click <= 0) {
    // ----| User haven't Click Credits
    if ($cred_impression > 0) {
      // ----| Decrement Impression Credit
      $cred_impression = $cred_impression - 1;
      if (!$debug_flag) echo "Debug info :  impression = $cred_impression<br>";
      mysql_query("update credits set impression=$cred_impression where user_id=$bannerowner_uid") or die('Can not update Credits table');
    }
  }
  else {
    $cred_click = $cred_click - 1;
    if (!$debug_flag) echo "Debug info :  click = $cred_click<br>";
    mysql_query("update credits set click=$cred_click where user_id=$bannerowner_uid") or die('Can not update Credits table');
  }
  // ----| Add history information to Daily, Hourly and Credit Stats tables

  // ----| Credit Stats table
  $result = mysql_query("select j_clicks,b_clicks,lr_clicks from credit_stats where user_id=$bannerowner_uid") or die('Can not select from Credit stats table');
  list($j_clicks, $b_clicks, $lr_clicks) = mysql_fetch_row($result);
  $j_clicks = $j_clicks + 1;
  $b_clicks = $b_clicks + 1;
  $lr_clicks = $lr_clicks + 1;
  mysql_query("update credit_stats set j_clicks=$j_clicks,b_clicks=$b_clicks,lr_clicks=$lr_clicks where user_id=$bannerowner_uid") or die('Can not update CREDIT_STATS table');

  // ----| Daily table
  $c_month = date("m");
  $c_date = date("d");
  $result = mysql_query("select ds_string,lu_month from d_stats where user_id=$bannerowner_uid") or die('Can not select from D_STATS table');
  list($ds_string,$lu_month) = mysql_fetch_row($result);
  parse_str($ds_string);
  if ($c_month != $lu_month) {
    // ----|   daily     
    for ($i=0; $i<=30; $i++) {
      if ($i == ($c_date-1))
        $d_str = $d_str."dc[]=1";
      else
        $d_str = $d_str."dc[]=0";
      // ----|   impressions 
      $d_str = $d_str."&di[]=0";
      if ($i != 30) $d_str = $d_str."&";
    }
    mysql_query("update d_stats set ds_string='$d_str',lu_month=$c_month where user_id=$bannerowner_uid") or die('Can not update D_STATS table after clear');
  }
  else {
    // ----| 
    for ($i=0; $i<=30; $i++) {
      if ($i == ($c_date-1)) {
        $dc[$i] = $dc[$i] + 1;
        $d_str = $d_str."dc[]=".$dc[$i];
      }
      else
        $d_str = $d_str."dc[]=".$dc[$i];
      // ----|   impressions  
      $d_str = $d_str."&di[]=".$di[$i];
      if ($i != 30) $d_str = $d_str."&";
    }
    mysql_query("update d_stats set ds_string='$d_str' where user_id=$bannerowner_uid") or die('Can not update D_STATS table after add');
  }

  // ----| Hourly table
  $c_hour = date("H");
  $result = mysql_query("select hs_string,lu_day from h_stats where user_id=$bannerowner_uid") or die('Can not select from D_STATS table');
  list($hs_string,$lu_day) = mysql_fetch_row($result);
  parse_str($hs_string);
  if ($c_date != $lu_day) {
    // ----|   hourly     
    for ($i=0; $i<=23; $i++) {
      if ($i == $c_hour)
        $h_str = $h_str."hc[]=1";
      else
        $h_str = $h_str."hc[]=0";
      // ----|   impressions 
      $h_str = $h_str."&hi[]=0";
      if ($i != 23) $h_str = $h_str."&";
    }
    mysql_query("update h_stats set hs_string='$h_str',lu_day=$c_date where user_id=$bannerowner_uid") or die('Can not update H_STATS table after clear');
  }
  else {
    // ----| 
    for ($i=0; $i<=23; $i++) {
      if ($i == $c_hour) {
        $hc[$i] = $hc[$i] + 1;
        $h_str = $h_str."hc[]=".$hc[$i];
      }
      else
        $h_str = $h_str."hc[]=".$hc[$i];
      // ----|   impressions  
      $h_str = $h_str."&hi[]=".$hi[$i];
      if ($i != 23) $h_str = $h_str."&";
    }
    mysql_query("update h_stats set hs_string='$h_str' where user_id=$bannerowner_uid") or die('Can not update H_STATS table after add');
  }
}

//  impression  ( -)
$result = mysql_query("select active_flag,impression,clk_ratio from user,credits where user.user_id=$siteowner_uid and credits.user_id=$siteowner_uid") or die('Can not select from CREDITS table');
list($ai_flag,$impression,$click_ratio) = mysql_fetch_row($result);
if ($ai_flag != 0) {
  $impression = $impression + $click_ratio;
  mysql_query("update credits set impression=$impression where user_id=$siteowner_uid") or die('Can not update CREDITS table');
}

// ----| Affiliate credits
$result = mysql_query("select count(user_id) from affiliate where user_id=$siteowner_uid") or die('Can not select from Affiliate table');
list($aff_num) = mysql_fetch_row($result);
if ($aff_num > 0)
  mysql_query("update affiliate set afl_clicks=afl_clicks+1 where user_id=$siteowner_uid") or die('Can not update Affiliate table');
else
  mysql_query("insert into affiliate values ($siteowner_uid,0,1)") or die('Can not insert into Affiliate table');

if ($lock_flg) { mysql_query("UNLOCK TABLES") or die('Can not UNLOCK table'); }
mysql_free_result($result);
mysql_close($connect);

if (!$debug_flag) {
  echo "Debug info : go to site $url<br>";
  $timer->stop();
  echo "<b>Total time: ".$timer->elapsed()."</b><br>";
}
else Header("Location: $url");

?>
